Fallback to Mode: Master if 'None' is detected

Reported by valb on 2010-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wicd
Low
David Paleino

Bug Description

hi there
I'm using wicd 1.7.0 in fedora 13.

When trying to connect to an open network with 'None' as mode (that's what properties>informations>Mode in wicd-gtk says at least), wnettools.py raises an AttributeException as you can see in the log excerpt:

2010/10/22 00:44:55 :: Flushing the routing table...
2010/10/22 00:44:55 :: Exception in thread Thread-17:
2010/10/22 00:44:55 :: Traceback (most recent call last):
2010/10/22 00:44:55 :: File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
2010/10/22 00:44:55 :: self.run()
2010/10/22 00:44:55 :: File "/usr/lib/python2.6/site-packages/wicd/networking.py", line 340, in run
2010/10/22 00:44:55 :: self._connect()
2010/10/22 00:44:55 :: File "/usr/lib/python2.6/site-packages/wicd/networking.py", line 857, in _connect
2010/10/22 00:44:55 :: wiface.SetMode(self.network['mode'])
2010/10/22 00:44:55 :: File "/usr/lib/python2.6/site-packages/wicd/wnettools.py", line 191, in newfunc
2010/10/22 00:44:55 :: return func(self, *args, **kwargs)
2010/10/22 00:44:55 :: File "/usr/lib/python2.6/site-packages/wicd/wnettools.py", line 1046, in SetMode
2010/10/22 00:44:55 :: if mode.lower() == 'master':
2010/10/22 00:44:55 :: AttributeError: 'NoneType' object has no attribute 'lower'
2010/10/22 00:44:55 ::
2010/10/22 00:44:55 :: Sending connection attempt result Failed

...leading to an aborted connection.

Adding:

if mode==None:mode='master'

Before line 1046 fixes the problem, as shows this bug report sent from the now accessible wireless network.

Related branches

David Paleino (dpaleino) wrote :

Fixed in rev. 722, thanks.

Changed in wicd:
status: New → Fix Committed
importance: Undecided → Low
assignee: nobody → David Paleino (dpaleino)
milestone: none → 1.7.2
summary: - AttributeError: 'NoneType' object has no attribute 'lower
+ Fallback to Mode: Master if 'None' is detected
David Paleino (dpaleino) on 2012-04-11
Changed in wicd:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers